%define base_name	kwin-style
%define theme_name	mkultra
%define name		%{base_name}-%{theme_name}
%define version		0.3.2
%define release %mkrel 6
%define summary		Mkultra is a KWin style derived from the minimalist and excellent Web style

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/content/show.php?content=13251
BuildRequires:		kdebase3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-%{theme_name}
Obsoletes:		kdemoreartwork-%{theme_name}

%description
MKUltra -- a simple KWin client for those of you who aren't impressed
by glowing throbbing reflective alpha channeled ugly monstrosities.

%prep
%setup -qn %{theme_name}

%build
export CXXFLAGS="%{optflags} -fPIC"
%configure_kde3
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_kde3_libdir}/kde3/kwin3_%{theme_name}*
%{_kde3_datadir}/apps/kwin/%{theme_name}.desktop



%changelog
* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 0.3.2-6mdv2009.0
+ Revision: 254733
- fix build
- switch to /opt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.2-4mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-4mdk
- Remove redundant BuildRequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.2-2mdk
- Rebuild + fix x86_64

* Tue Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 0.3.2-1mdk
- mkultra is back ( 0.3.2 )

